Environments
Create Environment
Create a new environment in a project.
Create a new environment in a project.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
description*string|null
name*string
Has to be unique in the project
Length
1 <= length <= 32project_id*string
Format
uuidteam_id*string
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/environments/create" \ -H "Content-Type: application/json" \ -d '{ "description": "string", "name": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba" }'{ "data": { "active": true, "created_at": "2019-08-24T14:15:22Z", "description": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kubernetes_name": "string", "name": "string", "permissions": [ "admin" ], "service_count": 0, "service_icons": [ "string" ] }}